package request


type AlibabaWdkorderSharestockInsuranceCallbackRequest struct {
    /*
        淘宝交易子订单ID     */
    TbSubOrderId  *int64 `json:"tb_sub_order_id" required:"true" `
    /*
        投保单ID     */
    InsuranceId  *string `json:"insurance_id" required:"true" `
}

func (s *AlibabaWdkorderSharestockInsuranceCallbackRequest) SetTbSubOrderId(v int64) *AlibabaWdkorderSharestockInsuranceCallbackRequest {
    s.TbSubOrderId = &v
    return s
}
func (s *AlibabaWdkorderSharestockInsuranceCallbackRequest) SetInsuranceId(v string) *AlibabaWdkorderSharestockInsuranceCallbackRequest {
    s.InsuranceId = &v
    return s
}

func (req *AlibabaWdkorderSharestockInsuranceCallbackRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.TbSubOrderId != nil) {
        paramMap["tb_sub_order_id"] = *req.TbSubOrderId
    }
    if(req.InsuranceId != nil) {
        paramMap["insurance_id"] = *req.InsuranceId
    }
    return paramMap
}

func (req *AlibabaWdkorderSharestockInsuranceCallbackRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}